This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 213882 - Not calculating space for partitions properly when reusing existing partitions
Not calculating space for partitions properly when reusing existing partitions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
bzcl34nup
: Reopened
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2006-11-03 11:41 EST by Orion Poplawski
Modified: 2009-04-17 16:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 16:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda log (15.23 KB, text/plain)
2006-11-03 11:41 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2006-11-03 11:41:26 EST
Description of problem:

This used to work on FC5.  I've been installing two versions of Fedora on a
single system and sharing some of the partitions (/boot, swap, data).  I use the
following kickstart partitioning commands:

part /boot --onpart=hda2 --noformat
part / --fstype ext3 --size=5000 --grow
part /var --fstype ext3 --size=512
part swap --onpart=hda6
part /export --onpart=hda3 --noformat
bootloader --location=mbr

Install now fails with anaconda complaining that there is not enough room on the
disk, but there is more than enough to create the two new partitions:

# fdisk /dev/hda

Command (m for help): p

Disk /dev/hda: 60.0 GB, 60011642880 bytes
255 heads, 63 sectors/track, 7296 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1         608     4883440    b  W95 FAT32
Partition 1 does not end on cylinder boundary.
/dev/hda2             609         621      104422+  83  Linux
/dev/hda3             622        4445    30716280   83  Linux
/dev/hda4            4446        7296    22900657+   5  Extended
/dev/hda5            4446        5210     6144831   83  Linux
/dev/hda6            5211        5464     2040223+  82  Linux swap / Solaris
/dev/hda7            5465        5529      522081   83  Linux

Command (m for help): n
First cylinder (5530-7296, default 5530):
Using default value 5530
Last cylinder or +size or +sizeM or +sizeK (5530-7296, default 7296): +5000M

Command (m for help): n
First cylinder (6139-7296, default 6139):
Using default value 6139
Last cylinder or +size or +sizeM or +sizeK (6139-7296, default 7296): +512M

Command (m for help): p

Disk /dev/hda: 60.0 GB, 60011642880 bytes
255 heads, 63 sectors/track, 7296 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1         608     4883440    b  W95 FAT32
Partition 1 does not end on cylinder boundary.
/dev/hda2             609         621      104422+  83  Linux
/dev/hda3             622        4445    30716280   83  Linux
/dev/hda4            4446        7296    22900657+   5  Extended
/dev/hda5            4446        5210     6144831   83  Linux
/dev/hda6            5211        5464     2040223+  82  Linux swap / Solaris
/dev/hda7            5465        5529      522081   83  Linux
/dev/hda8            5530        6138     4891761   83  Linux
/dev/hda9            6139        6201      506016   83  Linux
Comment 1 Orion Poplawski 2006-11-03 11:41:27 EST
Created attachment 140270 [details]
anaconda log
Comment 2 Orion Poplawski 2006-11-03 15:28:54 EST
Full error is:

  Could not allocate requested partitions

  Not enough space left to create partition for /var

Removing the --grow option on the / partition allows the install to proceed, but
it should work with that option.
Comment 3 Chris Lumens 2007-04-23 11:59:32 EDT
Is this any better with the Fedora 7 test releases?
Comment 4 Orion Poplawski 2007-04-24 14:15:09 EDT
Does seem better.  Managed to allocate new partitions when there were two chunks of open space even.
Comment 5 Orion Poplawski 2007-04-25 12:10:38 EDT
Perhaps spoke too soon.  Here's a case:

Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1         608     4883440    b  W95 FAT32
Partition 1 does not end on cylinder boundary.
/dev/sda2             609         621      104422+  83  Linux
/dev/sda3             622        4445    30716280   83  Linux
/dev/sda4            4446        7296    22900657+   5  Extended
/dev/sda5            5211        5464     2040223+  82  Linux swap / Solaris
/dev/sda6            5530        6294     6144831   83  Linux
/dev/sda7            6295        6359      522081   83  Linux

There is space in two chunk

4446-5210 -> 6000MB
6360-7296 -> 7350MB

This->

part /boot --onpart=sda2 --noformat
part / --fstype ext3 --size=6500 --grow
part /var --fstype ext3 --size=512
part swap --onpart=sda5
part /export --onpart=sda3 --noformat
bootloader --location=mbr

Results in "not enough space to allocate /".  Without "--grow" works.  It seems like --grow should have 
no effect - i.e. layout the partitions with the space requested, then grow to consume free space.

Interestingly, it  worked with:

part / --fstype ext3 --size=5000 --grow

which is why I closed the bug yesterday.
Comment 6 Orion Poplawski 2007-04-25 12:40:32 EDT
With / 6500 (no grow) and /var 512 it creates:

/ sda8 6360->7188
/var sda9 4446->4510

seems like --grow should just have it create / sda8 6360->7296.
Comment 7 Bug Zapper 2008-04-03 14:35:25 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Orion Poplawski 2008-04-08 18:24:57 EDT
Still a problem when using --grow, even with a very straight forward layout with
extra space at the end of the disk.

Comment 9 Bug Zapper 2008-05-13 22:27:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Chris Lumens 2009-03-31 15:56:22 EDT
As you know, we've now gotten the massive storage rewrite in for F11 beta.  Is this any better with that release?  If not, we probably stand a much better chance of getting it fixed there.
Comment 11 Orion Poplawski 2009-04-17 16:08:49 EDT
Tested with:

part /boot --onpart=sda2 --noformat
part / --fstype ext4 --size=9000 --grow
part /var --fstype ext4 --size=512
part swap --onpart=sda6
part /export --onpart=sda3 --noformat

and space at end of disk.  Worked.  I'm going to call this fixed.

Note You need to log in before you can comment on or make changes to this bug.